Package org.apache.lucene.search.similarities

# Class RawTFSimilarity

java.lang.Object
org.apache.lucene.search.similarities.Similarity
org.apache.lucene.search.similarities.RawTFSimilarity

public class RawTFSimilarity extends Similarity
Similarity that returns the raw TF as score.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Similarity

`Similarity.SimScorer`

## Constructor Summary

Constructors
Constructor
Description
`RawTFSimilarity()`
Default constructor: parameter-free
`RawTFSimilarity(boolean discountOverlaps)`
Primary constructor.

## Method Summary

Modifier and Type
Method
Description
`Similarity.SimScorer`
`scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
Compute any collection-level weight (e.g.

### Methods inherited from class org.apache.lucene.search.similarities.Similarity

`computeNorm, getDiscountOverlaps`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RawTFSimilarity

public RawTFSimilarity()
Default constructor: parameter-free

### RawTFSimilarity

public RawTFSimilarity(boolean discountOverlaps)
Primary constructor.

## Method Details

### scorer

public Similarity.SimScorer scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)
Description copied from class: `Similarity`
Compute any collection-level weight (e.g. IDF, average document length, etc) needed for scoring a query.

Specified by:
  `scorer` in class `Similarity`
Parameters:
  `boost` - a multiplicative factor to apply to the produces scores
  `collectionStats` - collection-level statistics, such as the number of tokens in the collection.
  `termStats` - term-level statistics, such as the document frequency of a term across the collection.
Returns:
  SimWeight object with the information this Similarity needs to score a query.